org.apache.ignite.internal.processors.cache.transactions

## Class IgniteTxLocalAdapter.PLC1<T>

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.transactions.IgniteTxLocalAdapter.PostLockClosure1<T>
  - - org.apache.ignite.internal.processors.cache.transactions.IgniteTxLocalAdapter.PLC1<T>

Type Parameters:
  `T` - Return type.

All Implemented Interfaces:
  Serializable, IgniteBiClosure<Boolean,Exception,IgniteInternalFuture<T>>

Enclosing class:
  IgniteTxLocalAdapter

    protected abstract class IgniteTxLocalAdapter.PLC1<T>
    extends IgniteTxLocalAdapter.PostLockClosure1<T>

Post-lock closure alias.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`protected` `IgniteTxLocalAdapter.PLC1(T arg)`
`protected` `IgniteTxLocalAdapter.PLC1(T arg, boolean commit)`

### Method Summary

### Methods inherited from class org.apache.ignite.internal.processors.cache.transactions.IgniteTxLocalAdapter.PostLockClosure1

`apply, postLock`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IgniteTxLocalAdapter.PLC1

    protected IgniteTxLocalAdapter.PLC1(T arg)

Parameters:
  `arg` - Argument.

#### IgniteTxLocalAdapter.PLC1

    protected IgniteTxLocalAdapter.PLC1(T arg,
                             boolean commit)

Parameters:
  `arg` - Argument.
  `commit` - Commit flag.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017